Get paginated finalized sentences for a voice note
curl --request GET \
--url https://app.enzo.health/api/v1/notes/{voiceNoteId}/sentences \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.enzo.health/api/v1/notes/{voiceNoteId}/sentences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.enzo.health/api/v1/notes/{voiceNoteId}/sentences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"transcript": "<string>",
"start": 123,
"end": 123,
"speaker": 123,
"speakerId": "<string>"
}
],
"patient": {
"id": "<string>",
"name": "<string>",
"firstname": "<string>",
"middlename": "<string>",
"lastname": "<string>",
"email": "<string>",
"suffix": "<string>",
"image": "<string>",
"dob": "<string>",
"deceased": true,
"sex": "<string>",
"fmrn": "<string>",
"omrn": "<string>",
"ssn": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"stateZIP": "<string>",
"county": "<string>",
"aptNumber": "<string>",
"homePhone": "<string>",
"workPhone": "<string>",
"cellPhone": "<string>",
"fax": "<string>",
"language": "<string>",
"locationType": "<string>",
"residenceType": "<string>",
"residenceName": "<string>",
"timezone": "<string>",
"physician": "<string>",
"admissionSource": "<string>",
"insuranceProvider": "<string>",
"medicareNumber": "<string>",
"medicaidNumber": "<string>",
"organizationId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"nextCursor": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Transcripts
Get paginated finalized sentences for a voice note
GET
/
v1
/
notes
/
{voiceNoteId}
/
sentences
Get paginated finalized sentences for a voice note
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
1 <= x <= 100